All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.entities
Class EntityAttr

    com.sas.entities.EntityAttr

    public class EntityAttr

EntityAttr is a helper class that organizes and maintains EntityInterface+AttributeDescriptor name entries for the AggregateEntity. An EntityAttr has the form of:

            [name of the EntityInterface].AttributeDescriptor name

            EntityAttr fooAttr = new EntityAttr("entityOne", "foo") --> [entityOne].foo

See Also:
  `AggregateEntity`

Constructor Summary
`EntityAttr(EntityInterface entity, java.lang.String attrName)` Constructor that uses an instance of EntityInterface and an AttributeDescriptor name to create an EntityAttr object.
`EntityAttr(java.lang.String entityKey, java.lang.String attrName)` Constructor that uses an entity key and an AttributeDescriptor name to create an EntityAttr object.

Method Summary
`boolean` | `equals(java.lang.Object value)` Returns a boolean indicating whether the object parameter is equal to the EntityAttr object.
`java.lang.String` | `getAttrName()` Returns the name of the EntityAttr.
`EntityInterface` | `getEntity()` Returns the Entity associated with the EntityAttr.
`java.lang.String` | `getEntityKey()` Returns the entity key of the Entity.
`java.lang.String` | `getEntityName()` Returns the name of the Entity associated with the EntityAttr.
`void` | `setEntity(EntityInterface entity)` Sets the Entity used to create the EntityAttr.
`void` | `setEntityName(java.lang.String entityName)` Sets the Entity name.
`java.lang.String` | `toString()` Returns a string representation of the EntityAttr.

Constructor Detail

### EntityAttr

    public EntityAttr(EntityInterface entity,
                      java.lang.String attrName)

  Constructor that uses an instance of EntityInterface and an AttributeDescriptor name to create an EntityAttr object.

  Parameters:
    `entity` - instance of EntityInterface
    `attrName` - AttributeDescriptor name

### EntityAttr

    public EntityAttr(java.lang.String entityKey,
                      java.lang.String attrName)

  Constructor that uses an entity key and an AttributeDescriptor name to create an EntityAttr object.

  Parameters:
    `entityKey` - unique identitifer associated with an Entity
    `attrName` - AttributeDescriptor name
  See Also:
    `EntityKeyInterface`

Method Detail

### equals

    public boolean equals(java.lang.Object value)

  Returns a boolean indicating whether the object parameter is equal to the EntityAttr object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `value` - object to be tested for equality
  Returns:
    true if the objects are equal; false otherwise

### getAttrName

    public java.lang.String getAttrName()

  Returns the name of the EntityAttr.

  Returns:
    EntityAttr name

### getEntity

    public EntityInterface getEntity()

  Returns the Entity associated with the EntityAttr.

  Returns:
    Entity associated with the EntityAttr
  See Also:
    `setEntity(EntityInterface entity)`

### getEntityKey

    public java.lang.String getEntityKey()

  Returns the entity key of the Entity.

  Returns:
    unique identifier of the Entity
  See Also:
    `EntityKeyInterface`

### getEntityName

    public java.lang.String getEntityName()

  Returns the name of the Entity associated with the EntityAttr.

  Returns:
    Entity name
  See Also:
    `setEntityName(String entityName)`

### setEntity

    public void setEntity(EntityInterface entity)

  Sets the Entity used to create the EntityAttr.

  Parameters:
    `entity` - Entity associated with the EntityAttr
  See Also:
    `getEntity()`, `EntityInterface`

### setEntityName

    public void setEntityName(java.lang.String entityName)

  Sets the Entity name.

  Parameters:
    `entityName` - name associated with the Entity
  See Also:
    `getEntityName()`

### toString

    public java.lang.String toString()

  Returns a string representation of the EntityAttr.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    string representation

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.